import { Observable } from 'rxjs';
import { ViewResult } from './view-result';
export interface RemoteViewProtocol {
    getReleasedMainView(): Observable<ViewResult>;
    getReleasedView(viewIndex: number): Observable<ViewResult>;
    getViewConfigByConfigureViewId(configureViewId: number): Observable<ViewResult>;
    getViewConfigByConfigureViewCode(configureViewCode: string): Observable<ViewResult>;
}
